#------------------------------------------------------------------------------------------
# Create a mol file.
# The output files (.pdb, .mol) will be created in the same directory of this script file.
# NEED: OpenBabel
#------------------------------------------------------------------------------------------


# Dialog to ask the file name
filename=self.name # Default file name
dialog = Dialog.run("Create a mol file", "OK", "Cancel") {
  layout(2,
    item(:text, :title=>"File name (.mol is no need):"),
    item(:textfield, :width=>200, :tag=>"f", :value=>filename))
}
# Exit when canceled
filename=dialog["f"]
exit if dialog[:status] != 0

# Save a PDB file
savepdb(filename+".pdb")

# Convert PDB to mol
command = "obabel -ipdb "+filename+".pdb -omol -O "+filename+".mol"
system(command)
